%define major   5.1
%define libname %mklibname lua %{major}
%define alt_priority %(echo %{major} | sed -e 's/[^0-9]//g')

Name:		lua
Version:	5.1.1
Release:	%mkrel 9
License:	MIT
Summary:	Lua is a powerful, light-weight programming language
URL:		http://www.lua.org/
Group:		Development/Other
Source0:	%{name}-%{version}.tar.gz
Patch0:		lua-5.1-dynlib.patch
Patch1:		lua-5.1.1-fpic.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:	lua%{major}
# why obsoleting lua5.1 ?
# Obsoletes:	lua5.1
BuildRequires:	libreadline-devel
BuildRequires:	ncurses-devel

%description
Lua is a programming language originally designed for extending applications, 
but also frequently used as a general-purpose, stand-alone language. Lua
combines simple procedural syntax (similar to Pascal) with powerful data 
description constructs based on associative arrays and extensible semantics.
Lua is dynamically typed, interpreted from bytecodes, and has automatic memory
management, making it ideal for configuration, scripting, and rapid
prototyping. Lua is implemented as a small library of C functions, written in 
ANSI C, and compiles unmodified in all known platforms. The implementation
goals are simplicity, efficiency, portability, and low embedding cost.


%package -n %{libname}
Summary:	Lua is a powerful, light-weight programming language
Group:		Development/Other
Obsoletes:  %mklibname %name 5

%description -n %{libname}
Lua is a programming language originally designed for extending applications,
but also frequently used as a general-purpose, stand-alone language. Lua
combines simple procedural syntax (similar to Pascal) with powerful data
description constructs based on associative arrays and extensible semantics.
Lua is dynamically typed, interpreted from bytecodes, and has automatic memory
management, making it ideal for configuration, scripting, and rapid
prototyping. Lua is implemented as a small library of C functions, written in
ANSI C, and compiles unmodified in all known platforms. The implementation
goals are simplicity, efficiency, portability, and low embedding cost.

This package contains the headers and development files for lua.


%package -n %{libname}-devel
Summary:	Lua is a powerful, light-weight programming language
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	liblua-devel = %{version}-%{release}
Provides:	liblua%{major}-devel = %{version}-%{release}
Provides:	lua-devel = %{version}-%{release}
Provides:	lua%{major}-devel = %{version}-%{release}
Obsoletes: 	%{_lib}lua5-devel < %{version}
Obsoletes:	%{_lib}lua4-devel

%description -n %{libname}-devel
Lua is a programming language originally designed for extending applications,
but also frequently used as a general-purpose, stand-alone language. Lua
combines simple procedural syntax (similar to Pascal) with powerful data
description constructs based on associative arrays and extensible semantics.
Lua is dynamically typed, interpreted from bytecodes, and has automatic memory
management, making it ideal for configuration, scripting, and rapid
prototyping. Lua is implemented as a small library of C functions, written in
ANSI C, and compiles unmodified in all known platforms. The implementation
goals are simplicity, efficiency, portability, and low embedding cost.

This package contains the headers and development files for lua.


%package -n	%{libname}-devel-static
Summary:	Lua is a powerful, light-weight programming language
Group:		Development/Other
Provides:	lua-devel-static = %{version}-%{release}
# Previous package was a -devel only
Requires:	%{libname}-devel = %version-%{release}

%description -n	%{libname}-devel-static
Lua is a programming language originally designed for extending applications,
but also frequently used as a general-purpose, stand-alone language. Lua
combines simple procedural syntax (similar to Pascal) with powerful data
description constructs based on associative arrays and extensible semantics.
Lua is dynamically typed, interpreted from bytecodes, and has automatic memory
management, making it ideal for configuration, scripting, and rapid
prototyping. Lua is implemented as a small library of C functions, written in
ANSI C, and compiles unmodified in all known platforms. The implementation
goals are simplicity, efficiency, portability, and low embedding cost.

This package contains the headers and development files for lua.

%prep
%setup -q
%patch0 -p0 -b .dynlib
%patch1 -p0 -b .fpic

%build
%make linux
sed -i -e "s/usr/local%_prefix" etc/lua.pc

%install
rm -rf %buildroot

%makeinstall_std INSTALL_TOP=%buildroot%_prefix INSTALL_LIB=%buildroot%_libdir INSTALL_MAN=%buildroot%_mandir/man1
install -d $RPM_BUILD_ROOT%{_libdir}/lua/%{major}/
install -d $RPM_BUILD_ROOT%{_datadir}/lua/%{major}/
install -m 644 test/*.lua $RPM_BUILD_ROOT%{_datadir}/lua/%{major}/

install -m 755 src/liblua.so* %buildroot%_libdir

install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/pkgconfig/
install -m 644 etc/lua.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig/

# for update-alternatives
mv $RPM_BUILD_ROOT/%{_bindir}/lua $RPM_BUILD_ROOT/%{_bindir}/lua%{major}
mv $RPM_BUILD_ROOT/%{_bindir}/luac $RPM_BUILD_ROOT/%{_bindir}/luac%{major}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/update-alternatives --install %{_bindir}/lua lua %{_bindir}/lua%{major} %{alt_priority} --slave %{_bindir}/luac luac %{_bindir}/luac%{major}

%post -n %{libname}
/sbin/ldconfig

%postun
[[ -f %_bindir/lua%{major} ]] || /usr/sbin/update-alternatives --remove lua %{_bindir}/lua%{major}

%postun -n %{libname}
/sbin/ldconfig

%files -n %{libname}
%defattr (-,root,root)
%{_libdir}/liblua.so.*

%files -n %{libname}-devel
%defattr (-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/liblua.so

%files -n %{libname}-devel-static
%defattr (-,root,root)
%{_libdir}/*.a

%files
%defattr (-,root,root)
%doc doc/*.html doc/*.gif
%doc COPYRIGHT HISTORY INSTALL README
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_datadir}/lua
%{_datadir}/lua/%{major}/*.lua


%changelog
* Tue Mar 06 2007 Olivier Thauvin <nanardon@mandriva.org> 5.1.1-9mdv2007.0
+ Revision: 133768
- obsoletes liblua5 to avoid files conflicts

* Mon Nov 13 2006 Pascal Terjan <pterjan@mandriva.org> 5.1.1-8mdv2007.0
+ Revision: 83555
- ship lua.pc

* Thu Aug 24 2006 Nicolas Lécureuil <neoclust@mandriva.org> 5.1.1-7mdv2007.0
+ Revision: 57833
- Increase release
- Fix group

  + Gaëtan Lehmann <glehmann@mandriva.org>
    - add alternative for lua and luac
    - small spec cleanup

* Sat Aug 19 2006 Olivier Thauvin <nanardon@mandriva.org> 5.1.1-5mdv2007.0
+ Revision: 56856
- replace major from 5 to 5.1 for lua5.0 cohabitation

* Fri Aug 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 5.1.1-4mdv2007.0
+ Revision: 56793
- fix build on x86_64

* Thu Aug 17 2006 Olivier Thauvin <nanardon@mandriva.org> 5.1.1-3mdv2007.0
+ Revision: 56554
- reprovide liblua and its -devel
- add patch to enable .so building

  + Götz Waschk <waschk@mandriva.org>
    - fix buildrequires

* Sat Aug 12 2006 Olivier Thauvin <nanardon@mandriva.org> 5.1.1-2mdv2007.0
+ Revision: 55708
- release package
- provide also liblua-devel
- handle the name change -devel to -devel-static

  + Götz Waschk <waschk@mandriva.org>
    - fix buildrequires

* Thu Aug 10 2006 Helio Chissini de Castro <helio@mandriva.com> 5.1.1-1mdv2007.0
+ Revision: 55509
- New upstream version 5.1.1
- Lua now is just static, as decided by developers. This package will solve the
  conflicts with old lua on main and new wrong package on contrib
- import lua-5.0.2-9mdk


* Thu Oct 06 2005 Gtz Waschk <waschk@mandriva.org> 5.0.2-9mdk
- fix packaging bugs 16461 and 19006

* Sun Oct 02 2005 Pascal Terjan <pterjan@mandriva.org> 5.0.2-8mdk
- add SONAME to the libs so that other package don't want -devel (P3)

* Fri Jul 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0.2-7mdk
- fix provides for x86_64

* Tue Apr 12 2005 Olivier Thauvin <nanardon@mandrake.org> 5.0.2-6mdk
- avoid postun exit 1 (thanks Eskild Hustvedt && Daniel Le Berre)

* Mon Apr 11 2005 Olivier Thauvin <nanardon@mandrake.org> 5.0.2-5mdk
- add -fPIC on x86_64
- fix lib location

* Sat Mar 12 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 5.0.2-4mdk
- fix update-alternatives (#14460)

* Thu Mar 10 2005 Per yvind Karlsen <peroyvind@linux-mandrake.com> 5.0.2-3mdk
- fix ownership of files (fixes #14458)
- fix %mklibname use
- cosmetics
- compile with optimizations

* Sun Aug 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0.2-2mdk
- fix .so links

* Tue May 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 5.0.2-1mdk
- from Andre Nathan <andre@digirati.com.br>

* Fri Dec 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 5.0-3mdk
- do not rename lua to lua5

* Thu Aug 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 5.0-2mdk
- from andi payn <payn@myrealbox.com> :
	- Co-exist with lua4

* Mon Apr 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 5.0-1mdk
- 5.0

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.0-4mdk
- Fix -devel dependencies

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.0-3mdk
- rebuild

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.0-2mdk
- apply library policy

* Wed Jan 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.0-1mdk
- new in contribs

